Skip to content
Start here

Create a basic-auth credential

zero_trust.cws.basic_auth_credentials.create(BasicAuthCredentialCreateParams**kwargs) -> BasicAuthCredential
POST/accounts/{account_id}/cws/basic-auth-credentials

Creates a basic-auth credential with the specified username.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
username: str

Login presented by the client. Printable ASCII only, excluding space and colon.

maxLength100
minLength1
ReturnsExpand Collapse
class BasicAuthCredential: …
id: str

Server-assigned UUID

formatuuid
created_at: datetime
formatdate-time
updated_at: datetime
formatdate-time
username: str

Login presented by the client. Printable ASCII only, excluding space and colon (RFC 7617 forbids a colon in the user-id).

maxLength100
minLength1

Create a basic-auth credential

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
basic_auth_credential = client.zero_trust.cws.basic_auth_credentials.create(
    account_id="xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    username="x",
)
print(basic_auth_credential.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "username": "x"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "username": "x"
  },
  "success": true
}